From 64225d46dbc8bc31530c547fa4f11b72e68e2d4e Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Feb 09 2016 16:53:12 +0000
Subject: [PATCH 282/1001] pep8 fixes


---

diff --git a/hubs/widgets/pagure_pr.py b/hubs/widgets/pagure_pr.py
index 2c5207e..d86272c 100644
--- a/hubs/widgets/pagure_pr.py
+++ b/hubs/widgets/pagure_pr.py
@@ -10,7 +10,8 @@ pagure_url = "https://pagure.io/api/0"
 
 template = jinja2.Template("""
   <div class="container">
-    <table id="pagure-issues-list" class="table table-hover table-striped m-b-0">
+    <table id="pagure-issues-list"
+        class="table table-hover table-striped m-b-0">
       <thead class="thead-default">
         <tr>
           <th id="pr-title">Project</th>
@@ -31,16 +32,16 @@ template = jinja2.Template("""
               target="_blank">
               {{ pr['pr_project_user'] }}/{{ pr['pr_project_name'] }}
             {% else %}
-            <a href="https://pagure.io/{{ pr['pr_project_name'] }}"
-              target="_blank">
+            <a href="https://pagure.io/{{
+              pr['pr_project_name'] }}" target="_blank">
               {{ pr['pr_project_name'] }}
             {% endif %}
             </a>
           </td>
           <td>
             <span class="label label-default">#{{ pr['pr_id'] }}</span>
-            <a href="https://pagure.io/{{ repo }}/pull-request/{{ pr['pr_id'] }}"
-                target="_blank">
+            <a href="https://pagure.io/{{ repo }}/pull-request/{{
+              pr['pr_id'] }}" target="_blank">
               {{ pr['pr_title'] }} ...
             </a>
           </td>
@@ -65,17 +66,22 @@ template = jinja2.Template("""
       </tbody>
     </table>
     </div class="row">
-      <center><a href="https://pagure.io/{{ repo }}/pull-requests" target="_blank">All Pull-Requests</a><center>
+      <center>
+        <a href="https://pagure.io/{{ repo }}/pull-requests" target="_blank">
+          All Pull-Requests
+        </a>
+      <center>
     </div>
   </div>
 """)
 
+
 @argument(name="repo",
           default=None,
           validator=validators.pagure_repo,
           help="Pagure repo name")
 def data(session, widget, repo):
-    repo="pagure"
+    repo = "pagure"
     url = '/'.join([pagure_url, repo, "pull-requests"])
     response = requests.get(url)
     data = response.json()
@@ -84,16 +90,17 @@ def data(session, widget, repo):
     for i in range(0, total_req):
         pr_project_user = None
         if data['requests'][i]['project']['parent']:
-            pr_project_user = data['requests'][i]['project']['user']['username']
+            pr_project_user = \
+                data['requests'][i]['project']['user']['username']
 
         all_pr.append(
             dict(
-                  pr_project_name=data['requests'][i]['project']['name'],
-                  pr_project_user=pr_project_user,
-                  pr_id=data['requests'][i]['id'],
-                  pr_title=data['requests'][i]['title'][:45],
-                  pr_openedby=data['requests'][i]['user']['name'],
-                  pr_assignee=data['requests'][i]['assignee'],
+                pr_project_name=data['requests'][i]['project']['name'],
+                pr_project_user=pr_project_user,
+                pr_id=data['requests'][i]['id'],
+                pr_title=data['requests'][i]['title'][:45],
+                pr_openedby=data['requests'][i]['user']['name'],
+                pr_assignee=data['requests'][i]['assignee'],
             )
         )
 
@@ -103,6 +110,7 @@ def data(session, widget, repo):
         repo=repo,
     )
 
+
 @hint()
 def should_invalidate(message, session, widget):
-   raise NotImplementedError
+    raise NotImplementedError

